Skip to main content
GET
Get Document Conflict Job

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

job_id
string
required

Conflict-check job ID

tenant
string | null
required

The domain of the customer

Example:

"example.com"

Response

Successful Response

job_id
string
required

Conflict-check job ID.

status
enum<string>
required

Job status.

Available options:
PENDING,
RUNNING,
COMPLETED,
FAILED
document_id
string
required

Base document ID.

target_library_id
string
required

Target library ID.

target_document_class_id
string
required

Target document class ID.

matched_documents
integer
required

Number of matched target documents.

conflicted_documents
integer
required

Number of matched target documents with conflicts.

notification_status
enum<string>
required

Pub/Sub notification state for the final job envelope.

Available options:
PENDING,
SENT,
FAILED
expire_at
string<date-time>
required

Automatic cleanup timestamp for the stored job.

result
ConflictCheckResult · object | null

Final result when the job has completed.

error
string | null

Failure reason when the job has failed.